package startext

import (
	"fmt"
	"testing"
)

func Test_Gbk(t *testing.T) {
	str:="你好"
	if IsGBK([]byte(str)) {
		t.Fail()
	}
	if !IsUtf8([]byte(str)) {
		t.Fail()
	}
	gbk,err:=UTF82GBK([]byte(str))
	if err!=nil{
		t.Fatal(err)
	}
	if !IsGBK(gbk) {
		t.Fail()
	}
	if IsUtf8(gbk) {
		t.Fail()
	}
	utf8,err:=GBK2UTF8(gbk)
	if err!=nil{
		t.Fatal(err)
	}
	fmt.Println(string(utf8))
}
